### Function

# Gtk PrinterFunc

#### Declaration

    gboolean
    PrinterFunc (
      GtkPrinter* printer,
      gpointer data
    )

#### Description [src]

The type of function passed to gtk_enumerate_printers().

Note that you need to ref `printer`, if you want to keep a reference to it after the function has returned.

#### Parameters

`printer` | `GtkPrinter`
| A `GtkPrinter`.
| The data is owned by the caller of the function.
`data` | `gpointer`
| User data passed to gtk_enumerate_printers().

#### Return value

Returns: | `gboolean`
| `TRUE` to stop the enumeration, `FALSE` to continue.